/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	This handles the mapping of GBA sound to engine sound.  Instead of
making a class, I will just do the flat implementation for now.

****************************************************************************/

#ifndef GBASOUND_H
	#define GBASOUND_H

	void GBASoundOn(void);
	void GBASoundUpdate(void);
	void GBASoundAddSamples(u16 v0, u16 v1, u16 v2, u16 v3);
	void GBASoundOff(void);

	extern Sticky < Bool > g_soundEnable;

	#include "gbasound.ipp"

#endif
