/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	We use this to determine if the user is a registered user.  If I do make
more advanced versions, I will try to make use of a CD key.
	Here's what we do for a registration key:
	- An entry in the registry contains one part of the key.
	- A hidden file in the app directory contains another part.
	- A file in the windows directory, "agd.key", contains a third part.
	- The dialog.bmp file contains a status code embedded in the palette,
	  this tells us whether the code has been hacked, etc.

	The app we write, which generates the license, will NOT affect the dialog
file; this file will be modified by (and scanned by) agd.exe.

****************************************************************************/

#ifndef REG_H
	#define REG_H

	u8 RegistrationGetLevel(void);

	#include "reg.ipp"

#endif
