/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	Global header file for the whole project.

****************************************************************************/

#ifndef GBA_H
	#define GBA_H

	#define VERSION			"0.05"

	#define LEVEL			0

	#include "all.h"
	#include "sticky.h"
	#include "gbaemu.h"
	#include "memory.h"
	#include "hackclas.h"
	#include "arm.h"
	#include "window1.h"
	#include "window2.h"
	#include "window3.h"
	#include "video.h"
	#include "dma.h"
	#include "gbadvc.h"
	#include "dialog.h"
	#include "breakpt.h"
	#include "history.h"
	#include "user.h"
	#include "reg.h"
	#include "gbasound.h"
	#include "status.h"

	#if !defined(RELEASE_BUILD)
		extern "C" {
			extern u32 g_debug;
		};
	#endif

#endif
