/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	Inlines for the GBA device.

****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//  Accessor to the CPU.
inline ARM & GBA::GetCPU(void) {
	return m_processor;
}

/////////////////////////////////////////////////////////////////////////////
//  Accessor to the memory.
inline MemoryDispatcher & GBA::GetMemory(void) {
	return m_systemMemory;
}

/////////////////////////////////////////////////////////////////////////////
//  Return the video processor.
inline VideoProcessor & GBA::GetVideo(void) {
	return m_video;
}

/////////////////////////////////////////////////////////////////////////////
//  Accessor to the DMA.
inline DMA & GBA::GetDMA(void) {
	return m_dma;
}

/////////////////////////////////////////////////////////////////////////////
//  How many ticks since the last reset.
inline u32 GBA::GetTicks(void) {
	return g_gbaTicks;
}
