/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	This handles all sticky options.  Basically, we have a system of index-
value pairs.

****************************************************************************/

#ifndef STICKY_H
	#define STICKY_H

	template < class C >
	class Sticky {
		public:
			Sticky(const char * name, C def);
			~Sticky(void);

			C & operator *(void);
			const C & operator *(void) const;
		protected:
		private:
			C m_curValue;
			const char * m_name;
	};

	#include "sticky.ipp"

#endif
