/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	Inlines and what-not for the code window.

****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//  Indicate that this panel needs to be refreshed.
inline void CodeWindow::GenerateContent(u8 panel) {
	switch(panel) {
		case TAB_DISASSEMBLY:
			m_disassembly.GenerateContent();
			break;
		case TAB_LOAD:
			m_load.GenerateContent();
			break;
		case TAB_OPTIONS:
			m_options.GenerateContent();
			break;
		case TAB_WARNINGS:
			m_warnings.GenerateContent();
			break;
		case TAB_USER:
			m_user.GenerateContent();
			break;
		case TAB_HELP:
			m_help.GenerateContent();
			break;
	}
}

/////////////////////////////////////////////////////////////////////////////
//  Pass a warning through to the warning panel.
inline void CodeWindow::AddWarning(const IString & f) {
	m_warnings.AddWarning(f);
}

/////////////////////////////////////////////////////////////////////////////
//  What IP is the user presently pointing to?
inline u32 DisassemblyPanel::GetLine(void) const {
	return m_address;
}
