/****************************************************************************

	Written by John Marco Panettiere for John Marco Panettiere.
	Copyright 1998, 1999, 2000 by John Marco Panettiere.
	All rights reserved.

	Inlines and templates for windows.

****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//  Specify that a particular panel needs to have its content regenerated
// (and that it needs to be redrawn).
inline void DataWindow::GenerateContent(u8 panel) {
	switch(panel) {
		#if !defined(RELEASE_BUILD)
			case TAB_WATCHES:
				m_watches.GenerateContent();
				break;
		#endif
		case TAB_MEMORY:
			m_memory.GenerateContent();
			break;
		case TAB_BREAKPOINTS:
			m_breakpoints.GenerateContent();
			break;
	}
}
